Subject: Re: bug#11490: vc-next-action overwrites changes in non-checked-out RCS file

From: Chong Yidong <[email-masked]>
Date: Fri, 04 Jan 2013 10:57:19 +0800

>> I'm obviously not in any position of authority here, but as for my
>> personal opinion, I would have no objection whatsoever to making
>> vc-mistrust-permissions default to true for safety's sake.
>
> Me neither. It seems like the default should be the safest mode of
> operation.
>
> However, Emacs 22.3 does not have this issuse; 23.1 onwards does.
> Something was lost with the removal of vc-next-action-on-file,
> and now vc-buffer-sync does not get called.

Can someone summarize again a *correct* recipe to see the bug?  What
with the wrong initial bug report, and the imprecise follow-up, I can't
figure out where the problem lies.  If I do

mkdir foo
cd foo
mkdir RCS
echo initial > file
ci -u -t-foo file
[Edit file in root]
emacs-24.0.96 -Q file
C-x v v

Then I get a prompt saying

  File has unlocked changes.  Claim lock retaining changes? (yes or no)

If I type yes, the changes are still there.  What's the problem?